﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace WindowsFormsApplication243
{
    public partial class Form1 : Form
    {
        DockAreaPane areaRight = new DockAreaPane(DockedLocation.DockedRight);
        DockAreaPane areaTop = new DockAreaPane(DockedLocation.DockedTop);

        DockableControlPane paneRight = new DockableControlPane("Right", "Right");
        DockableControlPane paneTop = new DockableControlPane("Top", "Top");

      
        public Form1()
        {
            InitializeComponent();

            areaTop.ChildPaneStyle = ChildPaneStyle.TabGroup;
            areaRight.ChildPaneStyle = ChildPaneStyle.TabGroup;

            areaTop.Panes.AddRange(new DockablePaneBase[] { paneTop});
            areaRight.Panes.AddRange(new DockablePaneBase[] { paneRight});

            paneTop.Control = ultraGauge1;
            paneTop.Control = ultraGroupBox1;

            ultraDockManager1.DockAreas.AddRange(new DockAreaPane[] { areaTop, areaRight });            
            
        }

        Timer timer = new Timer();
        Timer timer2 = new Timer();
        private void ultraButton1_Click(object sender, EventArgs e)
        {
            timer.Start();
            timer.Stop();
            timer.Enabled = true;
            timer.Interval = 200;
            timer.Tick += new EventHandler(timer_Tick);


            timer2.Start();
            timer2.Stop();
            timer2.Enabled = true;
            timer2.Interval = 300;
            timer2.Tick += new EventHandler(timer2_Tick);            
        }

        void timer2_Tick(object sender, EventArgs e)
        {
            paneRight.Settings.BorderStylePane = Infragistics.Win.UIElementBorderStyle.None;
            paneRight.Settings.Appearance.BorderColor = Color.White;
        }

        void timer_Tick(object sender, EventArgs e)
        {
            paneRight.Settings.BorderStylePane = Infragistics.Win.UIElementBorderStyle.Inset;
            paneRight.Settings.Appearance.BorderColor = Color.Red; 
        }
    }
}
